# Uses of Interface
javajs.api.GenericBinaryDocumentReader

Packages that use GenericBinaryDocumentReader
Package
Description
javajs.api
javajs.util
org.jmol.adapter.writers

## Uses of GenericBinaryDocumentReader in javajs.api

Subinterfaces of GenericBinaryDocumentReader in javajs.api
Modifier and Type
Interface
Description
`interface`
`GenericBinaryDocument`

## Uses of GenericBinaryDocumentReader in javajs.util

Classes in javajs.util that implement GenericBinaryDocumentReader
Modifier and Type
Class
Description
`class`
`BinaryDocument`
`class`
`CompoundDocument`
Constructors in javajs.util with parameters of type GenericBinaryDocumentReader
Modifier
Constructor
Description
``
`MessagePackReader(GenericBinaryDocumentReader binaryDoc, boolean isHomogeneousArrays)`

## Uses of GenericBinaryDocumentReader in org.jmol.adapter.writers

Methods in org.jmol.adapter.writers with parameters of type GenericBinaryDocumentReader
Modifier and Type
Method
Description
`static String`
CDXMLWriter.`fromCDX(GenericBinaryDocumentReader binaryDoc)`